Package org.springframework.scheduling.concurrent

# Class ConcurrentTaskExecutor.ManagedTaskBuilder

java.lang.Object
org.springframework.scheduling.concurrent.ConcurrentTaskExecutor.ManagedTaskBuilder

Enclosing class:
  ConcurrentTaskExecutor

protected static class ConcurrentTaskExecutor.ManagedTaskBuilder extends Object
Delegate that wraps a given Runnable/Callable with a JSR-236 ManagedTask, exposing a long-running hint based on `SchedulingAwareRunnable` and a given identity name.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ManagedTaskBuilder()`

## Method Summary

Modifier and Type
Method
Description
`static Runnable`
`buildManagedTask(Runnable task, String identityName)`
`static <T> Callable<T>`
`buildManagedTask(Callable<T> task, String identityName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ManagedTaskBuilder

protected ManagedTaskBuilder()

## Method Details

### buildManagedTask

public static Runnable buildManagedTask(Runnable task, String identityName)

### buildManagedTask

public static <T> Callable<T> buildManagedTask(Callable<T> task, String identityName)